### Home Classes Methods

### In Files

- lib/math_ml/element.rb

### Parent

MathML::Element

### Methods

- ::new
- #aligns=
- #hlines=
- #set_align_attribute
- #vlines=

### Class/Module Index

Quicksearch

- MathML
- MathML::Align
- MathML::Element
- MathML::Error
- MathML::Fenced
- MathML::Frac
- MathML::Identifier
- MathML::LaTeX
- MathML::LaTeX::BlockNotClosed
- MathML::LaTeX::Builtin
- MathML::LaTeX::Builtin::Symbol
- MathML::LaTeX::BuiltinCommands
- MathML::LaTeX::BuiltinEnvironments
- MathML::LaTeX::BuiltinGroups
- MathML::LaTeX::BuiltinGroups::CircularReferenceEnvironment
- MathML::LaTeX::EndMismatchToBegin
- MathML::LaTeX::EnvironmentNotEnd
- MathML::LaTeX::Font
- MathML::LaTeX::Macro
- MathML::LaTeX::Macro::Command
- MathML::LaTeX::Macro::Environment
- MathML::LaTeX::NeedParameter
- MathML::LaTeX::NotEnvironment
- MathML::LaTeX::OptionNotClosed
- MathML::LaTeX::ParseError
- MathML::LaTeX::Parser
- MathML::LaTeX::Parser::CircularReferenceCommand
- MathML::LaTeX::RE
- MathML::LaTeX::Scanner
- MathML::Line
- MathML::Math
- MathML::None
- MathML::Number
- MathML::Operator
- MathML::Over
- MathML::Root
- MathML::Row
- MathML::Space
- MathML::Sqrt
- MathML::String
- MathML::SubSup
- MathML::Symbol
- MathML::Symbol::CharacterReference
- MathML::Symbol::EntityReference
- MathML::Table
- MathML::Td
- MathML::Text
- MathML::Tr
- MathML::Under
- MathML::Util
- MathML::Util::MathData
- MathML::Util::SimpleLaTeX
- MathML::Variant
- MathML::XMLElement
- String

No matching classes.

# MathML::Table

### Public Class Methods

new() click to toggle source

    # File lib/math_ml/element.rb, line 183
    def initialize
            super("mtable")
    end

### Public Instance Methods

aligns=(a) click to toggle source

    # File lib/math_ml/element.rb, line 203
    def aligns=(a)
            set_align_attribute("columnalign", a, Align::CENTER)
    end

hlines=(a) click to toggle source

    # File lib/math_ml/element.rb, line 211
    def hlines=(a)
            set_align_attribute("rowlines", a, Line::NONE)
    end

set_align_attribute(name, a, default) click to toggle source

    # File lib/math_ml/element.rb, line 187
    def set_align_attribute(name, a, default)
            if a.is_a?(Array) && a.size>0
                    value = ""
                    a.each do |i|
                            value << " "+i
                    end
                    if value =~ /^( #{default})*$/
                            @attributes.delete(name)
                    else
                            @attributes[name] = value.strip
                    end
            else
                    @attributes.delete(name)
            end
    end

vlines=(a) click to toggle source

    # File lib/math_ml/element.rb, line 207
    def vlines=(a)
            set_align_attribute("columnlines", a, Line::NONE)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.